- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pkg5 – Manages packages with the Solaris 11 Image Packaging System

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- IPS packages are the native packages in Solaris 11 and higher.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
accept_licenses boolean | Choices: no ← yes | Accept any licences. aliases: accept, accept_licences
be_name string added in 2.8 |  | Creates a new boot environment with the given name.
name - / required |  | An FRMI of the package(s) to be installed/removed/updated. Multiple packages may be specified, separated by `,`.
refresh boolean added in 2.8 | Choices: no yes ← | Refresh publishers before execution.
state - | Choices: absent latest present ← | Whether to install (present, latest), or remove (absent) a package.

## Notes

Note

- The naming of IPS packages is explained at http://www.oracle.com/technetwork/articles/servers-storage-admin/ips-package-versioning-2232906.html.

## Examples

    - name: Install Vim
      pkg5:
        name: editor/vim

    - name: Install Vim without refreshing publishers
      pkg5:
        name: editor/vim
        refresh: no

    - name: Remove finger daemon
      pkg5:
        name: service/network/finger
        state: absent

    - name: Install several packages at once
      pkg5:
        name:
        - /file/gnu-findutils
        - /text/gnu-grep

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Peter Oliver (@mavit)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.